Bug 212542 - r8169 driver misses device id
r8169 driver misses device id
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Gospodarek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 07:21 EDT by Ralf Ertzinger
Modified: 2014-06-29 18:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-02 15:16:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
rt8169-add-pciid.patch (441 bytes, patch)
2006-10-27 16:09 EDT, Andy Gospodarek
no flags Details | Diff
rt8169-add-pciid-better.patch (18.21 KB, patch)
2006-10-27 18:01 EDT, Andy Gospodarek
no flags Details | Diff
PHY reset at startup (1.59 KB, patch)
2006-10-27 18:34 EDT, Francois Romieu
no flags Details | Diff

  None (edit)
Description Ralf Ertzinger 2006-10-27 07:21:37 EDT
Description of problem:
PCI devices with the ID 10ec:8167 (variants of the Realtek 8169/8110) are
currently not recognized by the r8169 driver. Putting the above id in
/sys/pci/drivers/r8169/new_id makes the driver claim the devices just fine.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot fedora on board with a Realtek chip having the above ID
Actual results:
r8169 is not loaded, device not claimed

Expected results:
r8169 claims the device

Additional info:
Comment 1 Andy Gospodarek 2006-10-27 16:09:36 EDT
Created attachment 139611 [details]

Seems like this would be the reasonable patch for this.  It doesn't appear in
the netdev-2.6 tree, so I'll check with Francois.
Comment 2 Francois Romieu 2006-10-27 16:31:58 EDT
The patch has been merged between 2.6.18 and 2.6.19-rc1.

Comment 3 Andy Gospodarek 2006-10-27 16:37:18 EDT
Ok, thanks.  I didn't see it in netdev-2.6 at first, but now I realize how I
missed it.
Comment 4 Andy Gospodarek 2006-10-27 18:01:30 EDT
Created attachment 139618 [details]

This patch is probably better since it actually accounts for some PCI region
differences for the newer hardware.
Comment 5 Francois Romieu 2006-10-27 18:34:51 EDT
Created attachment 139620 [details]
PHY reset at startup

If the IDs for the 8168 are added, the patch above may be useful as it fixes an
issue of incorrect link negociation that I have been reported.

Comment 6 Andy Gospodarek 2006-10-27 18:49:27 EDT
Thanks!  I'll include that if we take the larger patch.  

How necessary are the RTL_CFG_X parameters for proper functionality?  It seems
they would be required for everything to work well, but when someone reported
they worked without I began to question their value.

I ask because we would probably prefer the patch that only adds additional PCI
ID's rather than the larger one that has more changes.
Comment 7 Francois Romieu 2006-10-27 19:44:45 EDT
The RTL_CFG_X are needed for the 0x8136 and the 0x8168 which both use a
different PCI BAR and require an extra alignement (8 bytes instead of 2).

Imho the 8168 user base has grown significantly during the last months.

Comment 8 Andy Gospodarek 2006-10-30 13:58:11 EST
This is resolved in 2.6.19, so when the fedora kernels move to 2.6.19 you will
get this for free.  

Are you able to workaround this with some trickery in some of your
initialization scripts so the module loads when the box boots?
Comment 9 Ralf Ertzinger 2006-10-30 15:21:17 EST
I can work around this by piping the id into sysfs, yes.
Comment 10 Andy Gospodarek 2006-10-30 16:01:35 EST
I would suggest keeping that workaround in place until FC6 moves to 2.6.19.  We
generally don't add patches for new hardware support to Fedora kernels if the
support will appear in an upcoming upstream kernel that will get absorbed into
FC when it is released.  

I will probably try and put together an FC6 test kernel and will post to this BZ
if/when one is ready.
Comment 11 Francois Romieu 2006-10-30 16:38:54 EST
Well, the MAC address change support in current 2.6.19-rc proved to be fatal for
some users anyway :o/

Comment 12 Andy Gospodarek 2007-02-02 15:16:50 EST
This should be resolved with the 2.6.19 kernel.  Please re-open this BZ if you
continue to have problems on a 2.6.19-based fedora kernel.

Note You need to log in before you can comment on or make changes to this bug.